Slider Card Utilisateur Index

.slider {
    position: relative;
    top: 6rem;
    width: 80%;
    margin: 0 auto;
    overflow: hidden;
}

.slider-container {
    display: flex;
    justify-content: flex-start;
    transition: transform 0.3s ease-in-out;
}

.competences-slider{
    display: flex;
    flex-wrap:nowrap;
    gap: 1rem;
    margin: 0 auto;
    width: 100%;
}

.card-user{
    background: radial-gradient(#184A2D, #001007);
    height: 20rem;
    min-width: 26rem;
    border-radius: 16px;
    margin: 2rem;
    padding: 2rem;
    box-shadow: 0 2px 4px #184A2D;
}

.card-user.selected {
    transform: scaleX(1.1) scaleY(1.1) translateX(1rem) translateY(-.4rem);
    box-shadow: 0 2px 4px #FFB400;
    border: 4px solid #FFB400;
    margin: 2rem !important;
    padding: 2rem !important;
}

.box-btn-plus-slider{
    display: flex;
    justify-content: center;
}
.btn-plus-slider{
    font-family: 'Lato';
    font-weight: bold;
    background: #FFB400;
    width: auto;
    height: auto;
}
.btn-plus-slider:hover{
    background: #184A2D;
    border: solid 3px #001007;
    transform: scale(1.2) translate(-50%, -50%);
    transition: 0.3s ease-in;
}
.prev-btn,
.next-btn {
    position: absolute;
    top: 58%;
    transform: translateY(-50%);
    width: 40px;
    height: 40px;
    border: none;
    background-color: transparent;
    color: #FFB400;
    font-size: 42px;
    cursor: pointer;
}

.prev-btn {
    left: 50px;
}

.next-btn {
    right: 50px;
}

.dots {
    position: absolute;
    top: 36rem;
    height: 2rem;
    display: flex;
    justify-content: center;
}

.dot {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: gray;
    margin: 0 6px;
    cursor: pointer;
}

.dot.active {
    background-color: #FFB400;
}

/* Styles pour les petits écrans (mobiles en mode portrait) */
@media screen and (min-width: 100px) and (max-width: 400px){
    .card-user{
        height: auto !important;
        min-width: 14rem !important;
    }
    .competences-slider{
        flex-wrap: wrap !important;
        gap: .1rem !important;
    }
    .prev-btn,
    .next-btn {
        top: 76% !important;
    }
    .prev-btn {
        left: 25px !important;
    }

    .next-btn {
        right: 25px !important;
    }
    .dots {
        top: 37rem !important;
    }
}

/* Styles pour les tablettes et ordinateurs portables */
@media screen and (min-width: 1024px) and (max-width: 1439px) {
    .dots {
        top: 32rem !important;
    }  
    .prev-btn,
    .next-btn {
        top: 74% !important;
    } 
}